Package ch.qos.logback.core.pattern

## Class CompositeConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.pattern.CompositeConverter<E>

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `ForegroundCompositeConverterBase`, `IdentityCompositeConverter`, `PrefixCompositeConverter`, `ReplacingCompositeConverter`

    public abstract class CompositeConverter<E>
    extends DynamicConverter<E>

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`CompositeConverter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `convert​(E event)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`Converter<E>` `getChildConverter()`
`void` `setChildConverter​(Converter<E> child)`
`java.lang.String` `toString()`
`protected abstract java.lang.String` `transform​(E event, java.lang.String in)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeConverter

    public CompositeConverter()

### Method Detail

#### convert

    public java.lang.String convert​(E event)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<E>`

#### transform

    protected abstract java.lang.String transform​(E event,
                                                  java.lang.String in)

#### getChildConverter

    public Converter<E> getChildConverter()

#### setChildConverter

    public void setChildConverter​(Converter<E> child)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`